com.pixelmed.utils

## Class FilenameFilterByCaseInsensitiveSuffix

- java.lang.Object
- - com.pixelmed.utils.FilenameFilterByCaseInsensitiveSuffix

- All Implemented Interfaces:
    java.io.FilenameFilter

      public class FilenameFilterByCaseInsensitiveSuffix
      extends java.lang.Object
      implements java.io.FilenameFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilenameFilterByCaseInsensitiveSuffix(java.lang.String suffix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File dir, java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilenameFilterByCaseInsensitiveSuffix

          public FilenameFilterByCaseInsensitiveSuffix(java.lang.String suffix)

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File dir,
                                java.lang.String name)

      Specified by:
        `accept` in interface `java.io.FilenameFilter`